Bug 456331 - Review Request: pdfmerge - Command line utility program for merging PDF files
Review Request: pdfmerge - Command line utility program for merging PDF files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 17:51 EDT by Rahul Sundaram
Modified: 2013-03-13 01:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 02:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2008-07-22 17:51:44 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/pdfmerge.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/pdfmerge-1.0-1.fc9.src.rpm

Description: 

pdfmerge is a command line program that merges PDF files. It can merge
any number of pdf files from command line.
Comment 1 Parag AN(पराग) 2008-07-23 01:13:26 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=733245
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
acb9fc8a65e3524dd1077d7285650c49  pdfmerge-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper. 
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ package installed successfully.

SHOULD:
  Change License text to GPLv2+
  Change Source url to 
     Source0:
http://downloads.sourceforge.net/pdfmerge4unix/%{name}-%{version}.tar.gz

APPROVED.
Comment 2 Peter Lemenkov 2008-07-24 04:43:27 EDT
To merge pdfs is a very very easiest task :)
I prefer something like this oneliner:

gs -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=out_pdf -f `find -name
"*.pdf" | sort`
Comment 3 Kevin Kofler 2008-07-24 06:03:31 EDT
That internally converts from PDF to PS and back and loses quality. A real PDF 
merging tool can do it without quality loss.
Comment 4 Peter Lemenkov 2008-07-24 09:15:02 EDT
This package also uses ps2pdfwr, that invokes gs with the following parameters:

exec "$GS_EXECUTABLE" $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite
"-sOutputFile=$outfile" $OPTIONS -c .setpdfwrite -f "$infile"

Comment 5 Parag AN(पराग) 2008-07-24 09:54:15 EDT
Peter,
I really don't know how to react such problems. you are not the first asking why
alternative package when simple thing or some other package already exists in
Fedora repository.
I have seen already similar cases by peoples asking such questions "why this
package when other alternative is available?"

I will leave decision to Rahul whether to continue adding this package in Fedora
or not?


Comment 6 Kevin Kofler 2008-07-24 11:31:29 EDT
Actually, I looked at it and it's just a simple Perl script which invokes 
GhostScript. Which means that 1. the package is missing dependencies (you need 
Requires tags for the tools invoked - Rahul, please fix the specfile before 
building!) and 2. it is a bad PDF merge tool, because PDF merging can and 
should be done directly on the PDF, not on PostScript files.
Comment 7 Rahul Sundaram 2008-07-24 22:09:31 EDT
I am aware of other tools that currently exists to do this (joinpdf for example
is excluded for licensing reasons) but this one is simple and straightforward
enough to be useful for me. I will add the requires as indicated. Thanks. 
Comment 9 Parag AN(पराग) 2008-08-04 06:33:55 EDT
Your updated SPEC looks old version spec. But, SRPM is now included with
Requires: ghostscript

APPROVED.
Comment 10 Rahul Sundaram 2008-08-04 06:47:11 EDT
I will import the srpm. 

New Package CVS Request
=======================
Package Name: pdfmerge
Short Description: Command line utility program for merging PDF files
Owners: sundaram
Branches: F-8 F-9 EL-4 EL-5
InitialCC:
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-08-04 14:38:50 EDT
cvs done.
Comment 12 Fedora Update System 2008-08-05 18:54:22 EDT
pdfmerge-1.0-2.fc9 has been submitted as an update for Fedora 9
Comment 13 Fedora Update System 2008-08-05 19:01:09 EDT
pdfmerge-1.0-2.fc8 has been submitted as an update for Fedora 8
Comment 14 Fedora Update System 2008-08-07 19:53:18 EDT
pdfmerge-1.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfmerge'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7051
Comment 15 Fedora Update System 2008-08-07 19:58:58 EDT
pdfmerge-1.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pdfmerge'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7115
Comment 16 Parag AN(पराग) 2008-09-04 00:24:12 EDT
any plans to push this to stable repo?
Comment 17 Fedora Update System 2008-09-10 02:40:09 EDT
pdfmerge-1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-09-10 03:23:16 EDT
pdfmerge-1.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.